Class | Module
In: | lib/rbot/core/utils/extends.rb
Parent: | Object

Extensions to the Module class

### Methods

define_structure

### Public Instance methods

define_structure(name, *members)

Many plugins define Struct objects to hold their data. On rescans, lots of warnings are echoed because of the redefinitions. Using this method solves the problem, by checking if the Struct already exists, and if it has the same attributes

[Validate]